### Constructor

# GimpUi DrawableChooser new

deprecated: 3.2 since: 3.0

#### Declaration [src]

    GtkWidget*
    gimp_drawable_chooser_new (
      const gchar* title,
      const gchar* label,
      GType drawable_type,
      GimpDrawable* drawable
    )

#### Description [src]

Creates a new `GtkWidget` that lets a user choose a drawable which must be of type `drawable_type`. `drawable_type` of values `G_TYPE_NONE` and `GIMP_TYPE_DRAWABLE` are equivalent. Otherwise it must be a subtype of `GIMP_TYPE_DRAWABLE`.

When `drawable` is `NULL`, initial choice is from context.

Available since: 3.0

Deprecated since: 3.2

Use gimp_item_chooser_new().

#### Parameters

`title`

  Type: `const gchar*`

  Title of the dialog to use or `NULL` to use the default title.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`label`

  Type: `const gchar*`

  Button label or `NULL` for no label.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`drawable_type`

  Type: `GType`

  The acceptable subtype of choosable drawables.

`drawable`

  Type: `GimpDrawable`

  Initial drawable.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A [class@GimpUi.DrawableChooser.

The data is owned by the called function.